Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.cci
Class ResourceWarning

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  javax.resource.cci.ResourceWarning

All Implemented Interfaces:
  Serializable

public class ResourceWarning
extends ResourceException

ResourceWarning provides information on warnings generated by the underlying resource. They are chained to an Interaction object for later retrieval.

See Also:
  Serialized Form

Constructor Summary
`ResourceWarning()` Create a warning
`ResourceWarning(String reason)` Create a warning with a reason.
`ResourceWarning(String reason, String errorCode)` Create a warning with a reason and an errorCode.
`ResourceWarning(String reason, Throwable throwable)` Create a warning with a reason and an error.
`ResourceWarning(Throwable throwable)` Create a warning with an error.

Method Summary
`ResourceWarning` | `getLinkedWarning()` Deprecated. use getCause()
`void` | `setLinkedWarning(ResourceWarning linkedWarning)` Deprecated. use initCause()

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, setErrorCode, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceWarning

    public ResourceWarning()

  Create a warning

### ResourceWarning

    public ResourceWarning(String reason)

  Create a warning with a reason.

### ResourceWarning

    public ResourceWarning(String reason,
                           String errorCode)

  Create a warning with a reason and an errorCode.

### ResourceWarning

    public ResourceWarning(String reason,
                           Throwable throwable)

  Create a warning with a reason and an error.

Parameters:
  `reason` - the reason
  `throwable` - the error

### ResourceWarning

    public ResourceWarning(Throwable throwable)

  Create a warning with an error.

Parameters:
  `throwable` - the error

Method Detail

### setLinkedWarning

    public void setLinkedWarning(ResourceWarning linkedWarning)

  Deprecated. use initCause()

  Set a linked warning.

### getLinkedWarning

    public ResourceWarning getLinkedWarning()

  Deprecated. use getCause()

  Get any linked warning.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.